# $Revision: 1.8 $, $Date: 2007/02/13 08:06:38 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	XML
%define		pnam	Driver-HTML
Summary:	XML::Driver::HTML - SAX Driver for non wellformed HTML
Summary(pl.UTF-8):	XML::Driver::HTML - sterownik SAX dla niekoniecznie dobrze sformułowanego HTML-a
Name:		perl-XML-Driver-HTML
Version:	0.06
Release:	3
# (c) 2001 GNU General Public License
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	43f29d0060b4e22687ed91e651f0addb
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-HTML-Parser >= 3.07
BuildRequires:	perl-HTML-Tree	 >= 2.96
BuildRequires:	perl-XML-Handler-YAWriter >= 0.20
BuildRequires:	perl-libxml >= 0.06
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XML::Driver::HTML is a SAX Driver for HTML. There is no need for the
HTML input to be well formed, as XML::Driver::HTML is generating its
SAX events by walking a HTML::TreeBuilder object. The simplest kind of
use, is a filter from HTML to XHTML using XML::Handler::YAWriter as a
SAX Handler.

%description -l pl.UTF-8
XML::Driver::HTML to sterownik SAX dla HTML-a. Nie wymaga on, aby
wejście w HTML-u było dobrze sformułowane, jako że XML::Driver::HTML
generuje zdarzenia SAX wędrując po obiekcie HTML::TreeBuilder.
Najprostszym zastosowaniem jest filtr z HTML-a do XHTML-a przy użyciu
modułu XML::Handler::YAWriter jako procedury obsługi SAX.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%dir %{perl_vendorlib}/XML/Driver
%{perl_vendorlib}/XML/Driver/*.pm
%{_mandir}/man?/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-XML-Driver-HTML.spec,v $
Revision 1.8  2007/02/13 08:06:38  glen
- tabs in preamble

Revision 1.7  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.6  2004/11/03 22:30:55  paladine
- formatting

Revision 1.5  2004/10/31 22:36:06  paladine
- spaces->tabs
- formatting

Revision 1.4  2004/08/01 22:05:07  ankry
- added missing dir, rel. 3

Revision 1.3  2004/06/17 21:37:15  qboosh
- release 2

Revision 1.2  2004/06/17 21:27:34  qboosh
- pl

Revision 1.1  2004/06/14 08:22:01  radek
- new
